Subject: Permacul.Bk.Source?

From: [email-masked]
Date: Sat, 19 Aug 1995 22:48:22 -0500 (CDT)

Hi all, Am just new to permaculture.  Found and am really enjoying Graham 
Bell's book on pc. - Excited to see his hello on the list. Have ordered from 
library Bill Mollison's 'Intro to Permaculture' and would like to own it. Is 
there a U.S. source for these books? Don't see them in local bookstores. 
Thanks for any suggestions. Carol Walker, Minneapolis MN